Bug 678680 - Review Request: transifex-client - Command line tool for Transifex translation management
Summary: Review Request: transifex-client - Command line tool for Transifex translatio...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul W. Frields
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-18 20:52 UTC by Domingo Becker
Modified: 2011-07-30 10:43 UTC (History)
5 users (show)

Fixed In Version: transifex-client-0.5.2-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-03 03:13:54 UTC
stickster: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Domingo Becker 2011-02-18 20:52:30 UTC
Spec URL: http://beckerde.fedorapeople.org/transifex/transifex-client.spec
SRPM URL: http://beckerde.fedorapeople.org/transifex/transifex-client-0.4.2-1.src.rpm
Description: The Transifex Command-line Client is a command line tool that enables
you to easily manage your translations within a project without the
need of an elaborate UI system.

Comment 1 Paul W. Frields 2011-02-18 22:38:51 UTC
Since upstream has not released 0.4.2 yet, this must either be a pre-release (0.4.2-0.1.<somecheckout>), or you'll need to package 0.4.1 (which I think is several bugfixes behind).

Comment 2 Domingo Becker 2011-02-19 13:37:56 UTC
Ok, I choose the pre-release.
The only rpmlint warning is the lack of man page.

Spec URL: http://beckerde.fedorapeople.org/transifex/transifex-client.spec
SRPM URL:
http://beckerde.fedorapeople.org/transifex/transifex-client-0.4.2-0.2.226a185088efhg.fc13.src.rpm

Comment 3 Nick Bebout 2011-02-21 20:09:44 UTC
This needs BuildRequires: python-setuptools please.

Comment 4 Paul W. Frields 2011-02-21 22:56:31 UTC
I added the missing BR here for you Domingo:
http://pfrields.fedorapeople.org/packages/SPECS/transifex-client.spec
http://pfrields.fedorapeople.org/packages/SRPMS/transifex-client-0.4.2-0.3.226a185088efhg.fc14.src.rpm

The review that follows is for that package, since this was a trivial fix.

Comment 5 Paul W. Frields 2011-02-21 23:07:00 UTC
[ O K ] MUST: rpmlint must be run on every package. The output should be posted
in the review.

$ rpmlint rpmbuild/SPECS/transifex-client.spec rpmbuild/SRPMS/transifex-client-0.4.2-0.3.226a185088efhg.fc14.src.rpm rpmbuild/RPMS/noarch/transifex-client-0.4.2-0.3.226a185088efhg.fc14.noarch.rpm 
transifex-client.noarch: W: no-manual-page-for-binary tx
2 packages and 1 specfiles checked; 0 errors, 1 warnings.

This warning can be ignored, but I would see if you can contribute a
man page back to the upstream, or ask them for one.

[ O K ] MUST: The package must be named according to the Package Naming
Guidelines.

Thanks for the pre-release naming.  I expect in due time you'll be
able to provide a 0.4.2-1.

[ O K ] MUST: The spec file name must match the base package %{name}, in the
format %{name}.spec unless your package has an exemption.

[ O K ] MUST: The package must meet the Packaging Guidelines.

With the BR: python-setuptools this works OK.  Scratch build was
successful.

[ O K ] MUST: The package must be licensed with a Fedora approved license and
meet the Licensing Guidelines.

[ O K ] MUST: The License field in the package spec file must match the actual
license. 

[ O K ] MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.

[ O K ] MUST: The spec file must be written in American English. 

[ O K ] MUST: The spec file for the package MUST be legible. 

[ O K ] MUST: The sources used to build the package must match the upstream
source, as provided in the spec URL. Reviewers should use md5sum for this task.
If no upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.

$ md5sum rpmbuild/SOURCES/transifex-client-0.4.2/226a185088ef.tar.bz2 ; curl -s -o - https://bitbucket.org/indifex/transifex-client/get/226a185088ef.tar.bz2 | md5sum -
204495e251f14439c112844deca518ab  rpmbuild/SOURCES/transifex-client-0.4.2/226a185088ef.tar.bz2
204495e251f14439c112844deca518ab  -

[ O K ] MUST: The package MUST successfully compile and build into binary rpms
on at least one primary architecture. 

[ N/A ] MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in
bugzilla, describing the reason that the package does not compile/build/work on
that architecture. The bug number MUST be placed in a comment, next to the
corresponding ExcludeArch line. 

[ O K ] MUST: All build dependencies must be listed in BuildRequires, except
for any that are listed in the exceptions section of the Packaging Guidelines ;
inclusion of those as BuildRequires is optional. Apply common sense.

[ O K ] MUST: The spec file MUST handle locales properly. This is done by using
the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

[ O K ] MUST: Every binary RPM package (or subpackage) which stores shared
library files (not just symlinks) in any of the dynamic linker's default paths,
must call ldconfig in %post and %postun. 

[ O K ] MUST: Packages must NOT bundle copies of system libraries.

[ O K ] MUST: If the package is designed to be relocatable, the packager must
state this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker. 

[ O K ] MUST: A package must own all directories that it creates. If it does
not create a directory that it uses, then it should require a package which
does create that directory. 

[ O K ] MUST: A Fedora package must not list a file more than once in the spec
file's %files listings. (Notable exception: license texts in specific
situations)

[ O K ] MUST: Permissions on files must be set properly. Executables should be
set with executable permissions, for example. Every %files section must include
a %defattr(...) line. 

[ O K ] MUST: Each package must consistently use macros. 

[ O K ] MUST: The package must contain code, or permissable content. 

[ O K ] MUST: Large documentation files must go in a -doc subpackage. (The
definition of large is left up to the packager's best judgement, but is not
restricted to size. Large can refer to either size or quantity). 

[ O K ] MUST: If a package includes something as %doc, it must not affect the
runtime of the application. To summarize: If it is in %doc, the program must
run properly if it is not present. 

[ N/A ] MUST: Header files must be in a -devel package. 

[ N/A ] MUST: Static libraries must be in a -static package. 

[ N/A ] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), then library files that end in .so (without suffix) must go in
a -devel package. 

[ N/A ] MUST: In the vast majority of cases, devel packages must require the
base package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release} 

[ O K ] MUST: Packages must NOT contain any .la libtool archives, these must be
removed in the spec if they are built.

[ N/A ] MUST: Packages containing GUI applications must include a
%{name}.desktop file, and that file must be properly installed with
desktop-file-install in the %install section. If you feel that your packaged
GUI application does not need a .desktop file, you must put a comment in the
spec file with your explanation. 

[ O K ] MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the filesystem or man package. If you
feel that you have a good reason to own a file or directory that another
package owns, then please present that at package review time. 

[ O K ] MUST: All filenames in rpm packages must be valid UTF-8.


I installed the package and have successfully used it to init and pull translations from an existing project.  APPROVED, provided you use the fixed Spec and SRPM above for your import.  Feel free to list me as a CC in your git request, if you like.

Comment 6 Domingo Becker 2011-02-22 02:21:32 UTC
New Package SCM Request
=======================
Package Name: transifex-client
Short Description: Command line tool for Transifex translation management
Owners: beckerde
Branches: f13 f14 f15 el5 el6
InitialCC: glezos diegobz pfrields

Comment 7 Jason Tibbitts 2011-02-23 01:01:13 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2011-02-23 12:52:38 UTC
transifex-client-0.4.2-0.3.226a185088efhg.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/transifex-client-0.4.2-0.3.226a185088efhg.el5

Comment 9 Fedora Update System 2011-02-23 13:01:26 UTC
transifex-client-0.4.2-0.3.226a185088efhg.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/transifex-client-0.4.2-0.3.226a185088efhg.el6

Comment 10 Fedora Update System 2011-02-23 13:07:05 UTC
transifex-client-0.4.2-0.3.226a185088efhg.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/transifex-client-0.4.2-0.3.226a185088efhg.fc13

Comment 11 Fedora Update System 2011-02-23 13:13:53 UTC
transifex-client-0.4.2-0.3.226a185088efhg.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/transifex-client-0.4.2-0.3.226a185088efhg.fc14

Comment 12 Fedora Update System 2011-02-23 13:21:44 UTC
transifex-client-0.4.2-0.3.226a185088efhg.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/transifex-client-0.4.2-0.3.226a185088efhg.fc15

Comment 13 Fedora Update System 2011-02-23 20:28:45 UTC
transifex-client-0.4.2-0.3.226a185088efhg.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update transifex-client'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/transifex-client-0.4.2-0.3.226a185088efhg.fc15

Comment 14 Fedora Update System 2011-03-03 03:13:46 UTC
transifex-client-0.4.2-0.3.226a185088efhg.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2011-03-03 08:22:48 UTC
transifex-client-0.4.2-0.3.226a185088efhg.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2011-03-03 08:30:53 UTC
transifex-client-0.4.2-0.3.226a185088efhg.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2011-03-10 17:25:04 UTC
transifex-client-0.4.2-0.3.226a185088efhg.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 18 Fedora Update System 2011-03-10 17:26:33 UTC
transifex-client-0.4.2-0.3.226a185088efhg.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 19 Fedora Update System 2011-05-18 16:37:52 UTC
transifex-client-0.5-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/transifex-client-0.5-1.fc15

Comment 20 Fedora Update System 2011-05-18 16:45:20 UTC
transifex-client-0.5-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/transifex-client-0.5-1.fc14

Comment 21 Fedora Update System 2011-05-18 16:51:57 UTC
transifex-client-0.5-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/transifex-client-0.5-1.fc13

Comment 22 Fedora Update System 2011-05-18 16:54:59 UTC
transifex-client-0.5-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/transifex-client-0.5-1.el6

Comment 23 Fedora Update System 2011-05-18 16:58:52 UTC
transifex-client-0.5-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/transifex-client-0.5-1.el5

Comment 24 Fedora Update System 2011-05-25 02:39:11 UTC
transifex-client-0.5-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2011-05-26 21:51:59 UTC
transifex-client-0.5-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2011-05-26 21:55:20 UTC
transifex-client-0.5-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2011-06-02 19:02:05 UTC
transifex-client-0.5-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2011-06-02 19:03:08 UTC
transifex-client-0.5-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 29 Fedora Update System 2011-06-24 22:58:33 UTC
transifex-client-0.5.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/transifex-client-0.5.2-1.fc15

Comment 30 Fedora Update System 2011-06-24 23:04:46 UTC
transifex-client-0.5.2-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/transifex-client-0.5.2-1.fc14

Comment 31 Fedora Update System 2011-06-24 23:12:26 UTC
transifex-client-0.5.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/transifex-client-0.5.2-1.el6

Comment 32 Fedora Update System 2011-06-24 23:14:28 UTC
transifex-client-0.5.2-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/transifex-client-0.5.2-1.el5

Comment 33 Fedora Update System 2011-07-04 18:50:03 UTC
transifex-client-0.5.2-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 34 Fedora Update System 2011-07-04 18:57:12 UTC
transifex-client-0.5.2-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 35 Fedora Update System 2011-07-12 14:58:00 UTC
transifex-client-0.5.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 36 Fedora Update System 2011-07-30 10:43:23 UTC
transifex-client-0.5.2-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.